
== 概要

DCPAM で用いる, 地球のオゾンの質量混合比のデータを作成します. 


== 処理内容

* オゾンの質量混合比
  * 使用データ
    * CMIP5 1980-2009 気候値 (東西平均値)
      * http://www.gfd-dennou.org/library/dcpam/related-data/Earth_O3/O3_CMIP5_climatology_zonalmean.nc
    * CMIP5 1980-2009 気候値
      * http://www.gfd-dennou.org/library/dcpam/related-data/Earth_O3/O3_CMIP5_climatology.nc
    * 元データ
      * CMIP5 forcing data
        * http://cmip-pcmdi.llnl.gov/cmip5/forcing.html?submenuheader=2#ozone_forcing
  * 処理内容
    * ガウス格子内のデータを平均


== 使用方法

* Makefile の編集
  * 下の変数を設定
    * FC : Fortran90 コンパイラ
    * FFLAGS : Fortran オプション
    * NCDIR : netcdf ライブラリのパス ($(NCDIR)/lib, $(NCDIR)/include を想定)
* 東西方向の格子点数 (解像度) の指定
  * main.f90 内の変数 im を編集
    * 打ち切り波数は (im-1)/3 となる
* 使用データファイルの指定
  * main.f90 内の変数 ncfn_in を編集
* 出力データファイルの指定
  * main.f90 内の変数 ncfn_out を編集
* コンパイル
  * make
* 実行
  * 実行ファイルは a.out
  * 結果は out ディレクトリ内に生成
